cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/custom_feature" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"component": {
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY"
}
}'from exsited import build_client
client = build_client()
response = client.custom_features.create_custom_feature(
{
"component": {
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customFeatures.createCustomFeature({
component: {name: 'service_contract', display_name: 'Service contract', use_in: 'account', relation: 'ONE_TO_MANY'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customFeatures->createCustomFeature([
'component' => [
'name' => 'service_contract',
'display_name' => 'Service contract',
'use_in' => 'account',
'relation' => 'ONE_TO_MANY',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_features.custom_features_dto.CustomFeaturesDto.CustomFeature;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomFeature> response = client.customFeatures().createCustomFeature(
Map.of(
"component", Map.of(
"name", "service_contract",
"display_name", "Service contract",
"use_in", "account",
"relation", "ONE_TO_MANY")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomFeatures.CreateCustomFeatureAsync(new Dictionary<string, object?>
{
["component"] = new Dictionary<string, object?>
{
["name"] = "service_contract",
["display_name"] = "Service contract",
["use_in"] = "account",
["relation"] = "ONE_TO_MANY",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customFeatures.createCustomFeature({
'component': {
'name': 'service_contract',
'display_name': 'Service contract',
'use_in': 'account',
'relation': 'ONE_TO_MANY',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomFeatures().CreateCustomFeature(context.Background(), map[string]any{
"component": map[string]any{
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_feature": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"use_in": "<string>",
"relation": "<string>",
"custom_component": "<unknown>",
"custom_objects": [
{}
],
"custom_forms": [
{
"configuration": {
"settings": {
"custom_form": "<string>",
"form_layout": "<string>"
},
"column_1": {
"attributes": [
{
"data_type": "<string>",
"display_name": "<string>",
"name": "<string>",
"show_in_list_view": true,
"type": "<string>"
}
]
},
"column_2": {
"attributes": [
{
"name": "<string>",
"type": "<string>"
}
]
}
}
}
],
"child_custom_components": [
{}
],
"activity_logs": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
},
"message": "<string>"
}Custom features
Create a custom feature
Creates a custom feature and returns it, under custom_feature.
POST
/
custom_feature
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/custom_feature" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"component": {
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY"
}
}'from exsited import build_client
client = build_client()
response = client.custom_features.create_custom_feature(
{
"component": {
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customFeatures.createCustomFeature({
component: {name: 'service_contract', display_name: 'Service contract', use_in: 'account', relation: 'ONE_TO_MANY'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customFeatures->createCustomFeature([
'component' => [
'name' => 'service_contract',
'display_name' => 'Service contract',
'use_in' => 'account',
'relation' => 'ONE_TO_MANY',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_features.custom_features_dto.CustomFeaturesDto.CustomFeature;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomFeature> response = client.customFeatures().createCustomFeature(
Map.of(
"component", Map.of(
"name", "service_contract",
"display_name", "Service contract",
"use_in", "account",
"relation", "ONE_TO_MANY")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomFeatures.CreateCustomFeatureAsync(new Dictionary<string, object?>
{
["component"] = new Dictionary<string, object?>
{
["name"] = "service_contract",
["display_name"] = "Service contract",
["use_in"] = "account",
["relation"] = "ONE_TO_MANY",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customFeatures.createCustomFeature({
'component': {
'name': 'service_contract',
'display_name': 'Service contract',
'use_in': 'account',
'relation': 'ONE_TO_MANY',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomFeatures().CreateCustomFeature(context.Background(), map[string]any{
"component": map[string]any{
"name": "service_contract",
"display_name": "Service contract",
"use_in": "account",
"relation": "ONE_TO_MANY",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_feature": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"use_in": "<string>",
"relation": "<string>",
"custom_component": "<unknown>",
"custom_objects": [
{}
],
"custom_forms": [
{
"configuration": {
"settings": {
"custom_form": "<string>",
"form_layout": "<string>"
},
"column_1": {
"attributes": [
{
"data_type": "<string>",
"display_name": "<string>",
"name": "<string>",
"show_in_list_view": true,
"type": "<string>"
}
]
},
"column_2": {
"attributes": [
{
"name": "<string>",
"type": "<string>"
}
]
}
}
}
],
"child_custom_components": [
{}
],
"activity_logs": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
},
"message": "<string>"
}Defines a new custom feature. Send its fields under
component: a name, and optionally display_name, description, use_in such as account and relation such as ONE_TO_MANY. The new feature comes back with its cmp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes